Package com.independentsoft.graph.calendars

# Enum Class OnlineMeetingProvider

java.lang.Object
java.lang.Enum<OnlineMeetingProvider>
com.independentsoft.graph.calendars.OnlineMeetingProvider

All Implemented Interfaces:
  `Serializable`, `Comparable<OnlineMeetingProvider>`, `Constable`

public enum OnlineMeetingProvider extends Enum<OnlineMeetingProvider>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SKYPE_FOR_BUSINESS`
  `SKYPE_FOR_CONSUMER`
  `TEAMS_FOR_BUSINESS`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OnlineMeetingProvider`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static OnlineMeetingProvider[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SKYPE_FOR_BUSINESS

    public static final OnlineMeetingProvider SKYPE_FOR_BUSINESS

  - ### SKYPE_FOR_CONSUMER

    public static final OnlineMeetingProvider SKYPE_FOR_CONSUMER

  - ### TEAMS_FOR_BUSINESS

    public static final OnlineMeetingProvider TEAMS_FOR_BUSINESS

  - ### UNKNOWN

    public static final OnlineMeetingProvider UNKNOWN

- ## Method Details

  - ### values

    public static OnlineMeetingProvider[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OnlineMeetingProvider valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null